FUNCTION TEMPL(3)

NAME
boost::algorithm::operator|| - predicate 'or' composition predicate

SYNOPSIS

// In header: <boost/algorithm/string/classification.hpp>
template<typename Pred1T, typename Pred2T>
  unspecified operator||(const predicate_facade< Pred1T > & Pred1,
                         const predicate_facade< Pred2T > & Pred2);

DESCRIPTION

Construct the class_or predicate. This predicate can be used to logically combine two classification predicates. class_or holds, if one of the predicates return true.

Parameters:

    Pred1
        The first predicate

    Pred2
        The second predicate

Returns:
    An instance of the class_or predicate